#ifndef NAVE
#define NAVE

#include "Movil.h"
#include <vector.h>

#define TIEMPODISPARO 0.8

class Disparo;
class Timer;

class Nave : public Movil
{
	protected:
	vector<Disparo *> vectorDisparos;
	Timer *timer;
	float tiempo;
	public:
		void Dispara();
		void DibujaDisparos(SDL_Surface * pantalla);
	
		vector<Disparo *> getVectorDisparos();
	
		void EliminarDisparoEnPantalla(int i);
		Nave();
		~Nave();	
};

#endif